[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# SelectText

Wait for event on typed ontyped file.

## Declaration

Source position: line 0

`function SelectText(`
`var T: Text;`
`TimeOut: ptimeval`
`):LongInt; function SelectText(`
`var T: Text;`
`TimeOut: LongInt`
`):LongInt;`

## Description

SelectText executes the Select call on a file of type Text. You can specify a timeout in TimeOut. The SelectText call determines itself whether it should check for read or write, depending on how the file was opened : With Reset it is checked for reading, with Rewrite and Append it is checked for writing.

## Errors

See Select. SYS_EBADF can also mean that the file wasn't opened.

## See also

Select |  | Wait for events on file descriptors
GetFS |  | Return file selector

Documentation generated on: Feb 26 2014